about summary refs log tree commit diff
path: root/tests/lang.sh
diff options
context:
space:
mode:
authorEelco Dolstra <eelco.dolstra@logicblox.com>2014-05-26T12·55+0200
committerEelco Dolstra <eelco.dolstra@logicblox.com>2014-05-26T12·55+0200
commita8edf185a9e1677088c8c30acc9d281c8350bca7 (patch)
tree80f53725d7e209f56629b4caef7d84075e14e471 /tests/lang.sh
parentc273c15cb13bb86420dda1e5341a4e19517532b5 (diff)
Add constant ‘nixPath’
It contains the Nix expression search path as a list of { prefix, path
} sets, e.g.

  [ { path = "/nix/var/nix/profiles/per-user/root/channels/nixos"; prefix = ""; }
    { path = "/etc/nixos/configuration.nix"; prefix = "nixos-config"; }
    { path = "/home/eelco/Dev/nix/inst/share/nix/corepkgs"; prefix = "nix"; }
  ]
Diffstat (limited to 'tests/lang.sh')
-rw-r--r--tests/lang.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/lang.sh b/tests/lang.sh
index bb3b9ca775..7157a68c5c 100644
--- a/tests/lang.sh
+++ b/tests/lang.sh
@@ -46,7 +46,7 @@ for i in lang/eval-okay-*.nix; do
         if test -e lang/$i.flags; then
             flags=$(cat lang/$i.flags)
         fi
-        if ! NIX_PATH=lang/dir3:lang/dir4_PATH nix-instantiate $flags --eval --strict lang/$i.nix > lang/$i.out; then
+        if ! NIX_PATH=lang/dir3:lang/dir4 nix-instantiate $flags --eval --strict lang/$i.nix > lang/$i.out; then
             echo "FAIL: $i should evaluate"
             fail=1
         elif ! diff lang/$i.out lang/$i.exp; then